<beans xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:p="http://www.springframework.org/schema/p" xmlns="http://www.springframework.org/schema/beans"
       xmlns:c="http://www.springframework.org/schema/c"
       xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd"
       profile="db">
    <bean id="namedTemplate" class="org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate"
          c:dataSource-ref="dataSource"/>

    <bean class="com.epam.katermar.travelagency.repository.db.impl.CountryDBRepository"
          p:jdbcTemplate-ref="namedTemplate"
          id="countryRepository"/>
    <bean class="com.epam.katermar.travelagency.repository.db.impl.HotelDBRepository"
          p:jdbcTemplate-ref="namedTemplate"
          p:countryRepository-ref="countryRepository"
          id="hotelRepository"/>
    <bean class="com.epam.katermar.travelagency.repository.db.impl.TourDBRepositoryImpl"
          p:jdbcTemplate-ref="namedTemplate"
          p:countryRepository-ref="countryRepository"
          p:hotelRepository-ref="hotelRepository"
          id="tourRepository"/>
    <bean class="com.epam.katermar.travelagency.repository.db.impl.ReviewDBRepositoryImpl"
          p:jdbcTemplate-ref="namedTemplate"
          p:tourRepository-ref="tourRepository"
          p:userRepository-ref="userRepository"
          id="reviewRepository"/>
    <bean class="com.epam.katermar.travelagency.repository.db.impl.UserDBRepository"
          p:jdbcTemplate-ref="namedTemplate"
          p:reviewDBRepository-ref="reviewRepository"
          p:tourDBRepository-ref="tourRepository"
          id="userRepository"/>
</beans>
